ლ(ಠ益ಠლ)

CentOS 5.11: Vanilla Install of PHP 5.4 (IUS) - libgmp.so.3

During a test deploy of PHP 5.4 (IUS repository) on CentOS 5.11, I ran into a dependency involving libgmp.so.3.

If you’re not using IUS repository, you should be.

Download and install IUS:

1
2
$ wget http://dl.iuscommunity.org/pub/ius/stable/CentOS/5/x86_64/ius-release-1.0-13.ius.centos5.noarch.rpm
$ rpm -i ius-release-1.0-13.ius.centos5.noarch.rpm

Install PHP 5.4:

1
$ yum install php54

The error:

1
2
3
4
5
ERROR with rpm_check_debug vs depsolve:
libgmp.so.3()(64bit) is needed by php54-5.4.37-1.ius.centos5.x86_64
libgmp.so.3()(64bit) is needed by php54-cli-5.4.37-1.ius.centos5.x86_64
Complete!
(1, [u'Please report this error in http://bugs.centos.org/yum5bug'])

We need gmp-devel.x86_64 to suppress this fatal warning.

1
2
3
4
5
$ yum search gmp
gmp.i386 : A GNU arbitrary precision library.
gmp.x86_64 : A GNU arbitrary precision library.
gmp-devel.i386 : Development tools for the GNU MP arbitrary precision library.
gmp-devel.x86_64 : Development tools for the GNU MP arbitrary precision library.

Install gmp-devel, it should also pull in gmp and libstdc++:

1
2
3
4
5
6
7
$ yum install gmp-devel
# Running Transaction
#   Installing     : gmp                                                                                                                                                                1/5 
#   Installing     : libstdc++                                                                                                                                                          2/5 
#   Installing     : gmp-devel                                                                                                                                                          3/5 
#   Installing     : gmp                                                                                                                                                                4/5 
#   Installing     : gmp-devel

Re-attempt PHP installation:

1
2
3
4
5
6
7
8
9
10
11
$ yum install php54
# Running Transaction
#   Installing     : php54-common                                                                                                                                                       1/9 
#   Installing     : apr                                                                                                                                                                2/9 
#   Installing     : postgresql-libs                                                                                                                                                    3/9 
#   Installing     : apr-util                                                                                                                                                           4/9 
#   Installing     : libedit                                                                                                                                                            5/9 
#   Installing     : php54-cli                                                                                                                                                          6/9 
#   Installing     : mailcap                                                                                                                                                            7/9 
#   Installing     : httpd                                                                                                                                                              8/9 
#   Installing     : php54

If you’re using Apache, restart it.

1
$ service httpd restart

Comments